/******************************************************************************/
/* Files to Include                                                           */
/******************************************************************************/

#if defined(__XC)
    #include <xc.h>         /* XC8 General Include File */
#elif defined(HI_TECH_C)
    #include <htc.h>        /* HiTech General Include File */
#endif

#include <stdint.h>         /* For uint8_t definition */
#include <stdbool.h>        /* For true/false definition */

#include "user.h"

/******************************************************************************/
/* User Functions                                                             */
/******************************************************************************/

/* <Initialize variables in user.h and insert code for user algorithms.> */



void InitApp(void)
{
    /* TODO Initialize User Ports/Peripherals/Project here */
			    //76543210
    TRISIO 	=   0b00010100;		//GPIO2 is OUTPUT
    GPIO	=   0b00000110;		//GPIO initialize
	nGPPU	=	0;				//Pull enable
	WPU		=	0b00000110;		//Pullup 0,1 use
	
    /* Setup analog functionality and port direction */
	CMCON  = 7;						//GPIO use all digital port
	ANSEL  =  	  0b00000000;		//when device is 12F675

    /* Initialize peripherals */
	GIE  = 0;	

    /* Enable interrupts */

}

